Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## emn.fr.ascola.view
Class BasicCommunicationViewer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  prefuse.Display
                      emn.fr.ascola.view.PrefuseViewer
                          emn.fr.ascola.view.BasicCommunicationViewer

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

    public class BasicCommunicationViewer

extends PrefuseViewer

Author:
  jroyer 29/5/2009 from BasicPrefuseViewer for components 30/5/2009 split with makeIt 1/6/2009 Simplify communication add a menu to list the communications TODO default circle radial sont interessants
See Also:
  Serialized Form

Nested Class Summary
`static class` | `BasicCommunicationViewer.ArrowColorAction` Set arrow fill colors
`static class` | `BasicCommunicationViewer.EdgeColorAction` Set edges fill colors
`static class` | `BasicCommunicationViewer.NodeColorAction` Set node fill colors for searching

Nested classes/interfaces inherited from class emn.fr.ascola.view.PrefuseViewer
`PrefuseViewer.ComponentRenderer, PrefuseViewer.DashedEdgeRenderer, PrefuseViewer.DataRenderer, PrefuseViewer.DefaultForceDirectedLayout, PrefuseViewer.LongRadialTreeLayout`

Nested classes/interfaces inherited from class prefuse.Display
`prefuse.Display.InputEventCapturer`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class emn.fr.ascola.view.PrefuseViewer
`communication, component, composite, datatype, LABEL_MAX_SIZE, linear, linkSearch, MAX_NODE_SIZE, MIN_NODE_SIZE, NULL_STRING, START, STOP, STRING_BALLOON, STRING_BASIC, STRING_CIRCLE, STRING_COMM, STRING_COUNT, STRING_EDGES, STRING_GRAPH, STRING_INNER, STRING_KIND, STRING_LEVEL, STRING_MIDDLE, STRING_NAME, STRING_NODES, STRING_PTYPES, STRING_RADIAL, STRING_RTYPE, STRING_SMALL, STRING_TYPE`

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`BasicCommunicationViewer()` Default constructor.

Method Summary
`void` | `buildAndColor()` To build and color.
`void` | `display()` The display function.
`void` | `edgeCommunication(java.lang.String lname, java.lang.String from, java.lang.String to, java.util.Vector<java.lang.String> comms)` Create a communication edge and store information Used with BasicCommunicationViewer
`void` | `setRenderer()` Define node and label renderer.

Methods inherited from class emn.fr.ascola.view.PrefuseViewer
`artefactAnalysis, edgeCommunication, edgeCreation, getLayout, makeIt, setTableCount`

Methods inherited from class prefuse.Display
`addControlListener, addItemBoundsListener, addPaintListener, animatePan, animatePanAbs, animatePanAndZoomTo, animatePanAndZoomToAbs, animatePanTo, animatePanToAbs, animateZoom, animateZoomAbs, clearDamage, createToolTip, damageReport, damageReport, editText, editText, editText, findItem, getAbsoluteCoordinate, getCustomToolTip, getDisplayX, getDisplayY, getFrameRate, getInverseTransform, getItemBounds, getItemBounds, getItemSorter, getOffscreenBuffer, getPredicate, getScale, getTextEditor, getTransform, getVisibleItemCount, getVisualization, invalidate, isDamageRedraw, isHighQuality, isTranformInProgress, paintComponent, paintDisplay, pan, panAbs, panTo, panToAbs, removeControlListener, removeItemBoundsListener, removePaintListener, renderImmediate, repaintImmediate, reset, rotate, rotateAbs, saveImage, setBackgroundImage, setBackgroundImage, setBounds, setCustomToolTip, setDamageRedraw, setFont, setHighQuality, setItemSorter, setPredicate, setPredicate, setSize, setSize, setTextEditor, setTransform, setVisualization, stopEditing, update, zoom, zoomAbs`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicCommunicationViewer

    public BasicCommunicationViewer()

  Default constructor.

Method Detail

### setRenderer

    public void setRenderer()

  Define node and label renderer.

  Overrides:
    `setRenderer` in class `PrefuseViewer`

### buildAndColor

    public void buildAndColor()

  To build and color.

### display

    public void display()

  The display function.

  Specified by:
    `display` in class `PrefuseViewer`

### edgeCommunication

    public void edgeCommunication(java.lang.String lname,
                                  java.lang.String from,
                                  java.lang.String to,
                                  java.util.Vector<java.lang.String> comms)

  Create a communication edge and store information Used with BasicCommunicationViewer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD